Workspaces
Get writable project mount paths for a Workspace
Retrieve the absolute writable project mount paths for a restartable Workspace. The response includes the main
Git repository, the main Domino File System (DFS) directory, and imported Git repositories. Required
permissions: CreateWorkspace, UseGlobalCompute.
GET
/
api
/
workspace
/
v1
/
workspace
/
{workspaceId}
/
writable-project-mounts
Get writable project mount paths for a Workspace
curl --request GET \
--url https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"importedGitMounts": {
"64f8859069f92722f4a6f333": "/mnt/imported/code/example-repository"
},
"mainDfsMount": "/mnt/artifacts",
"mainGitMount": "/mnt/code"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Workspace ID. Obtain it from the Workspace URL.
Pattern:
^[0-9a-f]{24}$Response
Writable project mount paths for the Workspace
Absolute writable mount paths for a Workspace's project files and Git repositories.
Map of imported Git repository IDs to their absolute mount paths.
Show child attributes
Show child attributes
Example:
{
"64f8859069f92722f4a6f333": "/mnt/imported/code/example-repository"
}
Absolute path of the main Domino File System (DFS) directory.
Example:
"/mnt/artifacts"
Absolute path of the main Git repository when the Project has one.
Example:
"/mnt/code"
Was this page helpful?
⌘I
Get writable project mount paths for a Workspace
curl --request GET \
--url https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/workspace/v1/workspace/{workspaceId}/writable-project-mounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"importedGitMounts": {
"64f8859069f92722f4a6f333": "/mnt/imported/code/example-repository"
},
"mainDfsMount": "/mnt/artifacts",
"mainGitMount": "/mnt/code"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}